commit 4ebb548e28db550257d67e5fa329b80de4d7c10e (HEAD -> vte-0-76, tag: 0.75.91)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 11 13:18:36 2024 +0100

    Revert "lib: Add a simple UUID class"
    
    This reverts commit 68d4539c6ebe9547abb19385bd6e8bfbca843f6e.

 src/cxx-utils.hh       |  29 -----
 src/fwd.hh             |   2 -
 src/glib-glue.hh       |   1 -
 src/meson.build        |  25 +---
 src/uuid-test.cc       | 166 ------------------------
 src/uuid.cc            | 214 -------------------------------
 src/uuid.hh            | 211 ------------------------------
 src/vte-glue.hh        |   1 -
 src/vte/meson.build    |   1 -
 src/vte/vte.h          |   1 -
 src/vte/vteenums.h     |  18 ---
 src/vte/vteuuid.h      |  77 -----------
 src/vteuuid.cc         | 339 -------------------------------------------------
 src/vteuuidinternal.hh |  30 -----
 14 files changed, 1 insertion(+), 1114 deletions(-)

commit 2ce1d8e9de688f7c9e7d26647494ed259d209026
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 11 13:18:29 2024 +0100

    Revert "lib: Add some colour helper classes"
    
    This reverts commit b8f31a0459d45f03183af067cb0fc7847b2a8b84.

 src/color-names-tests.hh |  853 ---------------------------
 src/color-names.hh       | 1443 ----------------------------------------------
 src/color-parser.cc      |  477 ---------------
 src/color-parser.hh      |   54 --
 src/color-test.cc        |  217 -------
 src/color.hh             |  181 ------
 src/meson.build          |   21 -
 7 files changed, 3246 deletions(-)

commit db7726eacea84e1f397829c1dc75dd1a66191ec3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 11 12:25:52 2024 +0100

    build: Post release version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d81534141c572ec1f317aaef37ee25a912178603 (tag: 0.75.90)
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Feb 10 23:09:53 2024 +0100

    vte.sh: Consistent indentation
    
    (cherry picked from commit 9e8824480ef51374bf9b42ad8ee59f64d50456b1)

 src/vte.sh.in | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ba7a6e904235e50cd2c98109d7cff50902d42531
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Feb 10 23:09:50 2024 +0100

    vte.sh: Set up bash and zsh for OSC 133 shell integration
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2681
    
    (cherry picked from commit 4d4e4807e1205ea10bca821af30caa0ec70325db)

 src/vte.sh.in | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit e1d5418e0cdabccb39b743415b4bb18593935f8c
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Feb 10 23:09:47 2024 +0100

    emulation: Support conditional new paragraph
    
    Add OSC 133 L escape sequence to maybe move down the cursor to ensure
    it's at the beginning of a paragraph.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2681
    
    (cherry picked from commit 3dce4fa8eb14b658fe3122311915bbc9f6e18502)

 src/vteseq.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 6e8a2adb3fe721e30872f7120b1f13387f3db13b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Feb 10 23:09:44 2024 +0100

    emulation: Track shell integration escape sequences
    
    Track OSC 133 A (prompt), B (command), C (output) escape sequences.
    Add methods to scroll to previous/next prompt.
    Hook these up to Shift+Ctrl+Left/Right keypresses.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2681
    
    (cherry picked from commit 7808c6d2fca8b189e305c049ca82f1450adf5db1)

 src/attr.hh        | 19 +++++++++++++++++
 src/cell.hh        |  1 +
 src/parser-osc.hh  |  2 +-
 src/ring.cc        | 45 ++++++++++++++++++++++++++++++++++++++++
 src/ring.hh        |  1 +
 src/vte.cc         | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/vteinternal.hh |  7 ++++++-
 src/vteseq.cc      | 24 ++++++++++++++++++++-
 8 files changed, 155 insertions(+), 5 deletions(-)

commit 0534ec3ca3b55576e3775bd35a292a1ec4ea90f3
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Feb 10 23:09:38 2024 +0100

    lib: Remove pointless "maybe" in some method names
    
    (cherry picked from commit aad9e79d8f7006f986b03c2a0de473a29526491d)

 src/vte.cc         | 18 +++++++++---------
 src/vteinternal.hh |  4 ++--
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 8c0c6c5fbae68e1760dde001ee4f3b26016a7ebe
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 10 19:07:02 2024 +0100

    build: Version 0.75.90

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e264c6ed36c1a5ada131d5ee781645fff4ce9e78
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 10 19:07:02 2024 +0100

    all: Remove SIXEL support from stable branch
    
    The SIXEL support is not in a releasable state with
    important and fundamental problems still unsolved.
    
    (cherry picked from commit d578bd30b18a0d040305f356a3327fbd011e5451)
    (cherry picked from commit ba1e05c9ad34d0e48a823ad5a67b96baa166de24)
    (cherry picked from commit 6d80d3bca78397b2073f61e7954f3ceb45a8cb37)
    (cherry picked from commit d90b9d1139c3ce413670f34588506741673919bb)
    (cherry picked from commit 59d1403c455801dbbb64dadb55478bb0e5e96966)
    (cherry picked from commit e0720853f59ebf54e022b4cd164de2d9b8a21fc1)

 meson.build          |    2 -
 meson_options.txt    |    7 -
 src/app/app.cc       |    6 -
 src/debug.cc         |    1 -
 src/debug.h          |    1 -
 src/fwd.hh           |    8 -
 src/image.cc         |   68 ---
 src/image.hh         |  102 ----
 src/meson.build      |   56 --
 src/parser-cat.cc    |  327 -----------
 src/parser-seq.py    |    2 +-
 src/pty.cc           |    4 -
 src/ring.cc          |  225 +------
 src/ring.hh          |   46 --
 src/sixel-context.cc |  516 ----------------
 src/sixel-context.hh |  662 ---------------------
 src/sixel-fuzzer.cc  |  763 ------------------------
 src/sixel-parser.hh  |  669 ---------------------
 src/sixel-test.cc    | 1597 --------------------------------------------------
 src/vte.cc           |  187 +-----
 src/vtedefines.hh    |    6 -
 src/vtegtk.cc        |   26 +-
 src/vteinternal.hh   |   38 --
 src/vteseq.cc        |  224 +------
 src/widget.hh        |    3 -
 25 files changed, 18 insertions(+), 5528 deletions(-)

commit 0d56a309f55063a94c73b9f584d4d9b0fec92b8f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 10 19:07:02 2024 +0100

    widget: Remove termprops from stable branch
    
    This reverts commit 713dafdacc4c5264376a539e562f2b3cf0e162be.
    This reverts commit 6e68f077dc315eb02628c59569c4ebfdcdffc7f8.
    This reverts commit 90904e30eb3af45a546cce6847c520320f5571c5.
    This reverts commit 130adb28c82b33335a7bcd2b90e08e5104f11dec.
    This reverts commit 50d9b3b6ca3a8529ff4c33da609617f4211348c5.
    This reverts commit 03356b77ba7ffc7b098cc876c5e1306f83a759fb.
    This reverts commit 20cd61065c33fadfa29d81b23ca60887bb87b873.
    This reverts commit 01ca39e2b6523b246e6a2ea251ffbe9698bba29e.
    This reverts commit 1ce1cccd0557e60db4a3ef6825fa91026439cae0.
    This reverts commit 90543ab2a3de9635993950d8afb231fcb11bb915.

 src/app/app.cc        |   51 --
 src/color-parser.hh   |   14 -
 src/color.hh          |   14 +-
 src/fwd.hh            |    7 -
 src/marshal.list      |    1 -
 src/meson.build       |   19 +-
 src/parser-osc.hh     |    1 -
 src/parser.hh         |   12 -
 src/termprops-test.cc |  352 ----------
 src/termprops.hh      |  462 -------------
 src/vte.cc            |   25 +-
 src/vte/vteenums.h    |   45 +-
 src/vte/vteglobals.h  |   34 -
 src/vte/vteterminal.h |  137 +---
 src/vtedefines.hh     |    2 -
 src/vtegtk.cc         | 1746 +------------------------------------------------
 src/vtegtk.hh         |    2 -
 src/vteinternal.hh    |   61 +-
 src/vteseq.cc         |  107 ---
 src/widget.cc         |   13 -
 src/widget.hh         |   32 -
 21 files changed, 16 insertions(+), 3121 deletions(-)

commit 713dafdacc4c5264376a539e562f2b3cf0e162be
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 8 21:55:53 2024 +0100

    widget: termprops: Reset termprops on terminal reset
    
    When resetting the terminal (RIS, DECSTR, or DECSR) we need to also
    reset all the termprops, and emit the change notification.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/vte.cc         | 3 +++
 src/vtegtk.cc      | 3 +--
 src/vteinternal.hh | 9 +++++++++
 3 files changed, 13 insertions(+), 2 deletions(-)

commit 6e68f077dc315eb02628c59569c4ebfdcdffc7f8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Feb 8 21:55:53 2024 +0100

    widget: termprops: Rewrite termprop documentation
    
    Clarify the purpose of each property type, and the exact syntax
    of the OSC sequence to set termprops.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/vtegtk.cc | 222 +++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 149 insertions(+), 73 deletions(-)

commit 90904e30eb3af45a546cce6847c520320f5571c5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Feb 7 19:28:03 2024 +0100

    widget: termprops: Unify int types
    
    There really is no need for separate 16- and 64-bit integers.
    Remove the 16-bit ones and only support 64-bit ones, as the
    getters already do.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/app/app.cc        | 14 +++------
 src/termprops-test.cc | 76 +++++++++++++--------------------------------
 src/termprops.hh      | 19 ++++--------
 src/vte/vteenums.h    | 12 +++-----
 src/vtegtk.cc         | 85 +++++++++++++++------------------------------------
 5 files changed, 60 insertions(+), 146 deletions(-)

commit 38cb502fc34fd9ad2281c29fc58e8676ae1772d5
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Feb 7 14:19:19 2024 +0100

    widget: Fix HTML CSS property "text-decoration-style: solid"

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bec7e6a27204a577425e5c29586a8ac618d6fa1d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Feb 6 13:41:09 2024 +0100

    widget,emulation: Add support for dotted and dashed underlines
    
    Fixes https://gitlab.gnome.org/GNOME/vte/-/issues/2639

 src/attr.hh   |  4 ++--
 src/vte.cc    | 41 +++++++++++++++++++++++++++++++++++++----
 src/vteseq.cc |  2 +-
 3 files changed, 40 insertions(+), 7 deletions(-)

commit 130adb28c82b33335a7bcd2b90e08e5104f11dec
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 6 22:32:39 2024 +0100

    widget: termprops: Relax boolean value parsing
    
    Allow True/False and TRUE/FALSE also.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732#note_1999752

 src/termprops-test.cc | 12 +++++++++---
 src/termprops.hh      | 10 ++++++++--
 src/vtegtk.cc         |  3 ++-
 3 files changed, 19 insertions(+), 6 deletions(-)

commit 50d9b3b6ca3a8529ff4c33da609617f4211348c5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 23:04:55 2024 +0100

    widget: termprops: String value parsing fixes
    
    Fix parsing to reject an unescaped semicolon.
    
    Also, there is no need to escape the colon (':') in string values, so
    drop the need to escape it.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/termprops-test.cc | 7 ++++---
 src/termprops.hh      | 9 ++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 03356b77ba7ffc7b098cc876c5e1306f83a759fb
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 23:04:55 2024 +0100

    widget: termprops: Add some more tests
    
    Check that the string value of a STRING termprop admits the
    characters ! and = which are used in the termprop set-statement
    to delimit the key from the value/to end the value.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/termprops-test.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 20cd61065c33fadfa29d81b23ca60887bb87b873
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 23:04:55 2024 +0100

    widget: termprops: Allow true/false for BOOL termprops
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/termprops-test.cc | 12 ++++++++++--
 src/termprops.hh      |  4 ++--
 src/vtegtk.cc         |  2 +-
 3 files changed, 13 insertions(+), 5 deletions(-)

commit 01ca39e2b6523b246e6a2ea251ffbe9698bba29e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 23:04:55 2024 +0100

    widget: termprops: Add DOUBLE type
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2732

 src/termprops-test.cc | 29 +++++++++++++++
 src/termprops.hh      | 25 +++++++++++++
 src/vte/vteenums.h    |  2 ++
 src/vte/vteterminal.h | 22 ++++++++----
 src/vtegtk.cc         | 99 +++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 171 insertions(+), 6 deletions(-)

commit 01c5418b17b1b636de4f887f4aa3d494d12cbe78
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 18:30:52 2024 +0100

    emulation: Allow default parameter value for XTVERSION
    
    There is a discrepance between the xterm documentation and the actual
    xterm behaviour in that the documentation does not mention that the
    sequence admits a default value of 0 (to report the xterm name and
    version), while the code does allos the user of a default param.
    
    Make vte follow the xterm code.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/235

 src/vteseq.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 33e8896684e43f49b05899641d9607ff30ffe71f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Feb 4 10:14:35 2024 +0100

    emulation: Support XTVERSION sequence
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/235

 src/parser-reply.hh |  1 +
 src/parser-seq.py   |  2 ++
 src/vteseq.cc       | 32 ++++++++++++++++++++++++++++++--
 3 files changed, 33 insertions(+), 2 deletions(-)

commit b443ed1c8f5f5396e4bb6c037d1608fa65d51369
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 3 21:45:15 2024 +0100

    emulation: Reply to DECRQPSR and DECRQTSR
    
    These will need to be implemented, but for now at least reply
    with an error report so that clients listening for a reponse
    do get one.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2616

 src/parser-reply.hh |  2 +-
 src/parser-seq.py   | 10 +++++++---
 src/vteseq.cc       | 52 +++++++++++++++++++++++++++++-----------------------
 3 files changed, 37 insertions(+), 27 deletions(-)

commit fe5b4c4ca43d78fa7cda012691a2837ba99a38f2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Feb 3 21:10:25 2024 +0100

    emulation: More accurate DA1 and DA2 replies
    
    When not in test mode, reply with a more honest level 1 response, since
    vte doesn't implement most of the things a higher level mandates.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2724

 src/vteseq.cc | 33 +++++++++++++++++++++++++--------
 1 file changed, 25 insertions(+), 8 deletions(-)

commit 1ce1cccd0557e60db4a3ef6825fa91026439cae0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 2 23:21:52 2024 +0100

    build: Work around clang being clang

 src/color.hh  | 14 +++++++-------
 src/vtegtk.cc |  4 ++--
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 8d5697550f1460480792763767bd638e07a4a624
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 2 23:21:52 2024 +0100

    build: Remove extra debug compile option
    
    Just enable debug when one of the debug buildtypes are specified.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2696

 meson.build       | 2 +-
 meson_options.txt | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 5a242c232bec00a905176f26a30630ff66606a95
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 2 23:21:52 2024 +0100

    widget: Renumber VterAlign enum

 src/vte/vteenums.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit db722504dd53c54189665970119d83fc72bd2e17
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Feb 2 23:21:52 2024 +0100

    emulation: Also reply to DECRQSS on XTERM_MODKEYS
    
    ... since xterm 389 does too.

 src/vteseq.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 8fc2717717ed70e0a979422f6307fab9aaad04d5
Author: Christian Hergert <chergert@redhat.com>
Date:   Tue Jan 30 20:11:35 2024 -0800

    Revert "widget: Update function docs"
    
    This reverts commit 5f82f91b941b7c1f27c837d26441a4d5f16d619f.

 src/vtegtk.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit dc8c4ee2b4d1b704f7d5e0b002d4b62f4918a39f
Author: Christian Hergert <chergert@redhat.com>
Date:   Tue Jan 30 20:07:02 2024 -0800

    Revert "fonts: use CAIRO_HINT_STYLE_NONE on GTK 4"
    
    This reverts commit 74fe87b68da9e0a1d3cf26ebf079f4bb366e7c24.
    
    This causes some issues with rendering so we're going to have to
    find another way to deal with fractional scaling.

 src/fonts-pangocairo.cc | 2 --
 1 file changed, 2 deletions(-)

commit 5f82f91b941b7c1f27c837d26441a4d5f16d619f
Author: Christian Hergert <chergert@redhat.com>
Date:   Mon Jan 29 22:38:47 2024 +0100

    widget: Update function docs
    
    ... to mention that the default font options include
    %CAIRO_HINT_STYLE_NONE on GTK 4.

 src/vtegtk.cc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 76330dd70731ee0a0ecf9e3c267d7d7e6418736d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 29 22:38:47 2024 +0100

    emulation: Remove xterm alias for DSR_DEC 53
    
    ... since xterm removed theirs in version 389.

 src/vteseq.cc | 3 ---
 1 file changed, 3 deletions(-)

commit 74fe87b68da9e0a1d3cf26ebf079f4bb366e7c24
Author: Christian Hergert <chergert@redhat.com>
Date:   Mon Jan 29 10:53:22 2024 -0800

    fonts: use CAIRO_HINT_STYLE_NONE on GTK 4
    
    This fixes an issue when fractional scaling is used that a portion of a
    hinted glyph could fall outside the ink rect due to pixel grid shifting.
    This is more apparent with the Vulkan/NGL GPU renderers in GTK now that
    they are aware of the fractional scaling API of Wayland. Without this
    you risk a small amount of unintended clipping. See GNOME/gtk#6367.
    
    See the following link for additional details. However, in the case here
    with fractional scaling, disabling hint-metrics is not an option because
    it will result in the same output as hint-metrics: on with
    hint-style: slight.
    
    https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/6823#note_1989289
    
    Fixes #2736

 src/fonts-pangocairo.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 90543ab2a3de9635993950d8afb231fcb11bb915
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 28 20:40:30 2024 +0100

    widget: Add terminal properties
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2125

 src/app/app.cc        |   57 ++
 src/color-parser.hh   |   14 +
 src/fwd.hh            |    7 +
 src/marshal.list      |    1 +
 src/meson.build       |   19 +-
 src/parser-osc.hh     |    1 +
 src/parser.hh         |   12 +
 src/termprops-test.cc |  336 +++++++++++
 src/termprops.hh      |  439 ++++++++++++++
 src/vte.cc            |   22 +-
 src/vte/vteenums.h    |   47 +-
 src/vte/vteglobals.h  |   34 ++
 src/vte/vteterminal.h |  127 +++-
 src/vtedefines.hh     |    2 +
 src/vtegtk.cc         | 1608 ++++++++++++++++++++++++++++++++++++++++++++++++-
 src/vtegtk.hh         |    2 +
 src/vteinternal.hh    |   52 +-
 src/vteseq.cc         |  107 ++++
 src/widget.cc         |   13 +
 src/widget.hh         |   32 +
 20 files changed, 2923 insertions(+), 9 deletions(-)

commit b8f31a0459d45f03183af067cb0fc7847b2a8b84
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 28 20:40:30 2024 +0100

    lib: Add some colour helper classes

 src/color-names-tests.hh |  853 +++++++++++++++++++++++++++
 src/color-names.hh       | 1443 ++++++++++++++++++++++++++++++++++++++++++++++
 src/color-parser.cc      |  477 +++++++++++++++
 src/color-parser.hh      |   54 ++
 src/color-test.cc        |  217 +++++++
 src/color.hh             |  181 ++++++
 src/meson.build          |   21 +
 7 files changed, 3246 insertions(+)

commit 68d4539c6ebe9547abb19385bd6e8bfbca843f6e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Jan 28 20:40:30 2024 +0100

    lib: Add a simple UUID class
    
    Imported from https://bugzilla.gnome.org/show_bug.cgi?id=639078

 src/cxx-utils.hh       |  29 +++++
 src/fwd.hh             |   2 +
 src/glib-glue.hh       |   1 +
 src/meson.build        |  25 +++-
 src/uuid-test.cc       | 166 ++++++++++++++++++++++++
 src/uuid.cc            | 214 +++++++++++++++++++++++++++++++
 src/uuid.hh            | 211 ++++++++++++++++++++++++++++++
 src/vte-glue.hh        |   1 +
 src/vte/meson.build    |   1 +
 src/vte/vte.h          |   1 +
 src/vte/vteenums.h     |  18 +++
 src/vte/vteuuid.h      |  77 +++++++++++
 src/vteuuid.cc         | 339 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/vteuuidinternal.hh |  30 +++++
 14 files changed, 1114 insertions(+), 1 deletion(-)

commit 76f16adfa2ab731cc8f8042a487a6b61263d0404
Author: Zander Brown <zbrown@gnome.org>
Date:   Sat Jan 27 20:04:02 2024 +0000

    widget: Don't throw warnings for our own header
    
    Fix: https://gitlab.gnome.org/GNOME/vte/-/issues/2731

 src/vte/vtedeprecated.h | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5388832e54d85a91dffcc436dfdf386bac6b839d
Author: Christian Hergert <chergert@redhat.com>
Date:   Fri Jan 26 09:44:54 2024 -0800

    gsk: fix rectangle drawing using border nodes
    
    in GSK, border nodes draw _inside_ the bounding box. So we don't need to
    do the same sort of Cairo'ism for half-line boundaries.
    
    This fixes that which also happens to fix the non-focused window cursor
    rendering too thick with the newer GTK NGL renderer that landed on main.
    
    Fixes #2730

 src/drawing-gsk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ca4fb88362aa0a295928b7d46ec5aaca7092268c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 22 22:41:45 2024 +0100

    widget: Fix context menu event check
    
    Prevent the context menu being shown erroneously.
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2728

 src/vte.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bfd656e49e9151207d7291d60dfefacff52e73f0
Author: Christian Hergert <chergert@redhat.com>
Date:   Fri Jan 19 10:45:36 2024 -0800

    widget: notify of style change upon css_changed
    
    The org.gnome.desktop.interface text-scaling-factor setting used by
    the "Large Text" option in control-center applies to the gtk-xft-dpi which
    in turn effects the CSS machinery.
    
    We must notify of a style change so that the PangoContext used by our
    PangoLayout to measure and cache PangoFont will take the new scaling
    factor into account.
    
    This makes GTK 4 act the same as GTK 3 did (and still does) when the
    setting changes.

 src/widget.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 9d2167b977133080cacc1c3ed029ad1962a2ceb5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 6 20:18:09 2024 +0100

    docs: Install lz4-devel

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9eb4c6e63a285ffdbabdf02b4426b859cf52e707
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 6 19:47:24 2024 +0100

    build: Post release version bump

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de5df02c42eb5de98f92f5cb4520fc963a54ab51 (tag: 0.75.0)
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 31 14:25:16 2023 +0100

    regex: Add out param for error location to the _full() APIs

 src/regex.cc       |  4 ++++
 src/regex.hh       |  1 +
 src/vte/vteregex.h |  2 ++
 src/vteregex.cc    | 27 ++++++++++++++++++++-------
 4 files changed, 27 insertions(+), 7 deletions(-)

commit 4530d385191562d84f60066e168631fc1f45f3cc
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 2 17:28:16 2023 +0100

    widget: Don't update the ringview before scrolling in history
    
    ... or synthesizing "alternate screen scroll" keypresses, it's just not
    needed in these cases.
    
    Improves https://gitlab.gnome.org/GNOME/vte/-/issues/2705

 src/vte.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9a42ae3d5ddc57c5807c823aa131e071924d0736
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Dec 28 23:06:32 2023 +0100

    regex: Add API to set extra PCRE2 compile flags

 src/pcre2-glue.hh  |   1 +
 src/regex.cc       |   9 ++++-
 src/regex.hh       |   1 +
 src/vte/vteregex.h |  14 ++++++++
 src/vteregex.cc    | 104 +++++++++++++++++++++++++++++++++++++++++++++--------
 5 files changed, 114 insertions(+), 15 deletions(-)

commit 1860b4876f4943fcf2d7e67537c5b0cc6f974b2b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 24 21:48:13 2023 +0100

    widget: Scroll to the bottom on preedit
    
    Fixes https://gitlab.gnome.org/GNOME/vte/-/issues/2682

 src/vte.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 4f54a76a647144a71ba5712934b5e0d812311482
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 24 11:26:09 2023 +0100

    widget: Deprecate old get-text APIs
    
    Deprecate the old vte_terminal_get_text*() APIs that take a
    VteSelelectionFunc, and deprecate that as well.

 src/vte/vtedeprecated.h | 21 +++++++++++++++++++++
 src/vte/vteterminal.h   | 25 -------------------------
 src/vtegtk.cc           | 10 ++++++++--
 3 files changed, 29 insertions(+), 27 deletions(-)

commit 1ce1b836c0c002e0f841fc6cc3ea27337de8b319
Author: Aleksandr Mezin <mezin.alexander@gmail.com>
Date:   Sun Dec 24 11:26:09 2023 +0100

    widget: Add bindable replacement API to get the displayed text
    
    vte_terminal_get_text() isn't bindable in some languages because they
    cannot pass the now-required nullptr for the attributes GArray. Add
    a replacement in the style of the other already-existing APIs which
    take a VteFormat also.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2710

 src/vte/vteterminal.h |  5 +++++
 src/vtegtk.cc         | 56 +++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 50 insertions(+), 11 deletions(-)

commit a5f11c41aa6c3e521d18cd99e093ebe5915cab71
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Dec 23 22:58:41 2023 +0100

    widget: gtk4: Delay unsetting the context menu to idle
    
    The closed signal on the popover comes before the action callback for
    the chosen action is dispatched, and unsetting the menu makes the
    action fail to resolve.  Hack around this design flaw by delaying the
    unsetting to an idle handler.
    
    Remove the notify::visible handler since it runs just after the closed
    signal anyway.
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2716

 src/widget.cc | 56 ++++++++++++++++++++++++++++++++++++++++++++------------
 src/widget.hh |  8 ++++++++
 2 files changed, 52 insertions(+), 12 deletions(-)

commit 39aa242388e73bd294b8489ce80428b6485f0bb3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Dec 22 19:15:09 2023 +0100

    widget: Work around kinetic scrolling when changing the adjustment
    
    There is no API to stop a kinetic scroll in GtkScrolledWindow when the
    adjustment value is changed.  Work around that by disabling kinetic
    scrolling before changing the value, and re-enabling it afterwards.

 src/widget.cc | 42 +++++++++++++++++++++++++++++++++++++-----
 src/widget.hh |  1 +
 2 files changed, 38 insertions(+), 5 deletions(-)

commit ca746e5ebcd82187185709f33f3b46ea30e9f8c9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Dec 22 19:15:09 2023 +0100

    app: Add more scrolling options

 src/app/app.cc | 26 +++++++++++++++++++++++---
 1 file changed, 23 insertions(+), 3 deletions(-)

commit a1054ae189b5f946b65e1a9a186747bd0e92f6c5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Dec 22 19:15:09 2023 +0100

    widget: Add scroll-on-insert property
    
    Add setting to scroll to the bottom when text is inserted, e.g. by a
    paste.

 src/app/app.cc        |  1 +
 src/vte.cc            | 17 ++++++++++++
 src/vte/vteterminal.h |  6 ++++-
 src/vtegtk.cc         | 74 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/vtegtk.hh         |  1 +
 src/vteinternal.hh    |  2 ++
 6 files changed, 100 insertions(+), 1 deletion(-)

commit 3a7c705f5f09d6dbd03bcd1abbd2744ab92eafcd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Dec 14 17:57:04 2023 +0100

    bidi: Use malloced workspace area

 src/bidi.cc | 33 ++++++++++-----------
 src/bidi.hh | 99 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 114 insertions(+), 18 deletions(-)

commit 413b3ba3558463379d67ad92c264b6f8c556d9c9
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Dec 12 22:49:03 2023 +0100

    widget: Fix initial cursor blink state
    
    Fixes https://gitlab.gnome.org/GNOME/gnome-terminal/-/issues/8021

 src/vteinternal.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9493d50a4ed8415eaa88bc87d4b2b9c28598ee1f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 12 00:17:59 2023 +0100

    widget: Fix selected text API with block selection mode
    
    Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2712

 src/vtegtk.cc | 81 +++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 59 insertions(+), 22 deletions(-)

commit 6bda91c6e5c68683410b9ab2bf6f11c81b4c0c03
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 12 00:17:59 2023 +0100

    draw: Remove unused alpha param from drawing methods

 src/drawing-cairo.cc   | 43 +++++++++++++++++++++++++++++++------------
 src/drawing-cairo.hh   | 11 +++++++----
 src/drawing-context.cc | 32 +++++++++++++-------------------
 src/drawing-context.hh | 34 ++++++++++++++++++++++------------
 src/drawing-gsk.cc     | 35 ++++++++++++++++++++++++++---------
 src/drawing-gsk.hh     | 11 +++++++----
 src/vte.cc             | 46 ++++++++++++++++++++++------------------------
 7 files changed, 128 insertions(+), 84 deletions(-)

commit e98c1354d14879fc9d45e16815ac0c6d298ea506
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Dec 12 00:17:59 2023 +0100

    widget: Add class vfunc for setup-context-menu signal
    
    For consistency with the other signals.

 src/vte/vteterminal.h | 17 ++++++++++-------
 src/vtegtk.cc         |  3 ++-
 2 files changed, 12 insertions(+), 8 deletions(-)

commit a9cbd3948b3ecc75a8d725d5ed788b528b1f6f35
Author: Christian Hergert <chergert@redhat.com>
Date:   Mon Nov 6 10:32:45 2023 -0800

    vte: avoid creating rect/region on GTK 4
    
    These aren't used when on GTK 4 so just avoid doing that work altogether
    on GTK 4.

 src/vte.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit adde982bad9306610c568414c3111f98e7636fa1
Author: Christian Hergert <chergert@redhat.com>
Date:   Fri Dec 1 11:08:51 2023 -0800

    vte: remove extra PTY read from tick callback
    
    This extra read was causing IO to be consumed from the GtkWidget tick
    callback. We don't want that because it creates a priority inversion where
    high-producing clients can take higher priority over slower producing
    clients.
    
    Fixes #2698

 src/vte.cc | 2 --
 1 file changed, 2 deletions(-)

commit 7cd21873572c66b5a9d69178c8e0a0231d307569
Author: Christian Hergert <chergert@redhat.com>
Date:   Tue Nov 28 13:56:28 2023 -0800

    vte: emit adjustment changed in tick callback
    
    We want this to run every frame that we process new data so that the
    layout phase of the frame clock will update the scroll position.

 src/vte.cc         | 7 +++----
 src/vteinternal.hh | 2 +-
 2 files changed, 4 insertions(+), 5 deletions(-)

commit c17d9c6b4571be0ab55c3818d9125233553bb7ee
Author: Christian Hergert <chergert@redhat.com>
Date:   Thu Nov 30 12:24:29 2023 -0800

    Reapply "vte: drive updates from GdkFrameClock"
    
    This reverts commit 727f8c1034176b70871ba2eedca306a15caea191.
    
    The scrollback corruption was unrelated and fixed in
    27bde60e8aef578c3a87f239c7cf70dc8fbed8df.

 src/vte.cc         | 351 ++++++-----------------------------------------------
 src/vtedefines.hh  |   3 -
 src/vteinternal.hh |  10 +-
 3 files changed, 39 insertions(+), 325 deletions(-)

commit 140c77ec045d062ae53e6966e4a640ac488c9bc1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 30 18:36:15 2023 +0100

    widget: gtk4: Add long press touch gesture
    
    ... and show the context menu when it's triggered.
    
    This is necessary to fully port gnome-console to the new context menu
    APIs.

 src/widget.cc | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/widget.hh | 18 ++++++++++++++++
 2 files changed, 82 insertions(+), 2 deletions(-)

commit d1f94244bcc8bae7474d875dd12e7bb416017238
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Nov 27 09:32:35 2023 +0100

    lib: Inline the Unicode character width database
    
    This is faster than invoking the GLib methods.
    
    Fixes https://gitlab.gnome.org/GNOME/vte/-/issues/2655

 src/meson.build               |    18 +
 src/unicode-width-generate.py |   133 +
 src/unicode-width-test.cc     |    94 +
 src/unicode-width.hh          | 11589 ++++++++++++++++++++++++++++++++++++++++
 src/vte.cc                    |    21 +-
 5 files changed, 11836 insertions(+), 19 deletions(-)

commit 76c1f7a27b53d51a65d1246f8e0436bff92b0af2
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Nov 28 21:06:24 2023 +0100

    ring: Fix error handling in the rewrapping code
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2699

 src/ring.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e8b244ca982a86bddcd4f1da6cadf3d7cb6398be
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Nov 28 16:17:49 2023 +0100

    stream: Add debug assertions verifying the snake's integrity
    
    https://gitlab.gnome.org/GNOME/vte/-/issues/2699

 src/vtestream-file.h | 48 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 47 insertions(+), 1 deletion(-)
